Notifies the Merchant that a settled payment transaction has been returned by the Consumer’s financial institution.
When a Consumer's financial institution returns a settled payment, the Paramount system sends a notification to the event notification URL specified by the Merchant during the system integration phase. After verifying the content of the return notification, the data can be processed by the Merchant's back office and used for account reconciliation. Financial institution returns are deducted from the Merchant's Paramount balance.
When the Merchant system receives an event notification, it must perform a series of checks on the data in the notification before sending a verification request. See Transaction Verification .
Return Notification Parameters
The parameters included in an event notification are similar to those included in a payment response notification and Merchants can use the return code data included in the notification to automatically take action based on their return and charge back policies. For example, debiting the Consumer's account, blocking the Consumer, or flagging the Consumer for manual review.
| Parameter | Type | Size | Required | Description |
|---|---|---|---|---|
| user_id | String | 30 | Yes | The Consumer user ID used by Paramount. |
| txn_num | String | 30 | Yes | The transaction number created by Paramount for the return transaction. |
| txn_type | String | 1 | Yes | The transaction type.
|
| merchant_id | String | 8 | Yes | The 8-character Merchant account ID assigned by Paramount. |
| merchant_user_id | String | 20 | Yes | The unique Merchant-assigned Consumer user ID that was specified in the original payment request. |
| merchant_txn_num | String | 30 | Yes | The Merchant-assigned transaction number that identifies the original payment. |
| txn_amount | Decimal | (7.2) | Yes | The returned payment transaction amount. The amount must be between 1.00 and 99999.99. |
| txn_fee | Decimal | (6.2) | Yes | The return transaction fee payable by the Merchant, if applicable. |
| txn_currency | String | 3 | Yes | The uppercase 3-letter currency code (ISO 4217). |
| original_txn_num | String | 30 | Yes | The transaction number of the original payment transaction. |
| error_code | String | 4 | No | The error code associated with the return. |
| return_code | String | 3 | Yes | The return code specified by the Consumer's financial institution. See Return Codes |
Request Example
Request parameters are encoded in application/x-www-form-urlencoded format.
txn_num=20200101012345678982000001&merchant_user_id=TestUser1&txn_fee=0.00&txn_currency=CAD&user_id=1234567890123-AB1CDE2F&txn_type=R&merchant_txn_num=1234567890&error_code=&merchant_id=DemMerch&txn_amount=100.00&original_txn_num=20200101012345678982000000&return_code=15Return Codes
When a payment is returned, the relevant return code is included in the return notification.
Table 2: Return codes
| Code | Reason | Description |
|---|---|---|
| 10 | Money not received | Money not received from the user. |
| 15 | Refused by payor/payee | The payor/payee has requested the credit or debit be returned. |
